mount directory need OS install nfs-utils/cifs-utils firstly, now only use curl to upload cgz file
Signed-off-by: Wang Yong wangyong0117@qq.com --- tests/build-pkg | 12 ------------ tests/cci-depends | 7 ------- tests/cci-makepkg | 14 -------------- 3 files changed, 33 deletions(-)
diff --git a/tests/build-pkg b/tests/build-pkg index 8a138055f..fcb10f11f 100755 --- a/tests/build-pkg +++ b/tests/build-pkg @@ -18,7 +18,6 @@ ## See: https://wiki.archlinux.org/index.php/Makepkg
. $LKP_SRC/lib/debug.sh -. $LKP_SRC/lib/env.sh . $LKP_SRC/distro/common
check_vars() @@ -31,13 +30,6 @@ check_vars() [ -n "$os_mount" ] || die "os_mount is empty" }
-mount_pkg_mnt() -{ - [ -n "$LKP_SERVER" ] && { - mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$PKG_MNT $PKG_MNT || die "Failed to run mount" - } -} - mount_dest() { # the same image is mounted to cifs and nfs, the generated cgz files @@ -47,8 +39,6 @@ mount_dest()
PKG_MNT=/initrd/build-pkg mkdir -p "$PKG_MNT" - - is_docker || mount_pkg_mnt }
get_pkgfile() @@ -140,8 +130,6 @@ build_source_pkg()
[ "$?" == 0 ] || exit 1 create_softlink - - is_docker || exit 0 upload_to_target_dir ${PKG_MNT}/${pack_to}/${pkgname} }
diff --git a/tests/cci-depends b/tests/cci-depends index ffa585b8c..42d5ef676 100755 --- a/tests/cci-depends +++ b/tests/cci-depends @@ -7,7 +7,6 @@
. $LKP_SRC/lib/debug.sh . $LKP_SRC/lib/misc-base.sh -. $LKP_SRC/lib/mount.sh
[ -n "$benchmark" ] || die "benchmark is empty" [ -n "$os_mount" ] || die "os_mount is empty" @@ -29,11 +28,6 @@ pack_arch=$os_arch
. $LKP_SRC/distro/$DISTRO
-is_docker || { - is_mount_point ${DEPS_MNT} && umount ${DEPS_MNT} - mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$DEPS_MNT $DEPS_MNT || die "Failed to run mount" -} - umask 002
[[ -d "$pack_to" ]] || { @@ -62,5 +56,4 @@ fixup_arch_install $pack_arch
pack_benchmark_deps
-is_docker || exit 0 upload_to_target_dir ${pack_to} diff --git a/tests/cci-makepkg b/tests/cci-makepkg index 0354af89d..a50a40c20 100755 --- a/tests/cci-makepkg +++ b/tests/cci-makepkg @@ -13,7 +13,6 @@ . $LKP_SRC/lib/debug.sh . $LKP_SRC/lib/misc-base.sh . $LKP_SRC/lib/env.sh -. $LKP_SRC/lib/mount.sh
[ -n "$benchmark" ] || die "benchmark is empty" [ -n "$os_mount" ] || die "os_mount is empty" @@ -34,17 +33,6 @@ pack_to=${os_mount}/${os}/${os_arch}/${os_version}/${benchmark}
cd $LKP_SRC/pkg/$benchmark || die "pkg is empty"
-mount_pkg_mnt() -{ - is_mount_point ${PKG_MNT} && umount ${PKG_MNT} - mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$PKG_MNT $PKG_MNT || die "Failed to run mount" -} - -is_docker || { - [ -n "$LKP_SERVER" ] && mount_pkg_mnt -} - - curl_pkgfile() { curl -sS -H 'Content-Type: Application/json' -XPOST "$LKP_SERVER"':8100/git_command' \ @@ -148,8 +136,6 @@ build_source_pkg()
[ "$?" == 0 ] || exit 1 update_softlink - - is_docker || exit 0 upload_to_target_dir ${sync_dest} }